{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}{#

{% trans_default_domain ea.i18n.translationDomain %}

<!DOCTYPE html>
<html lang="{{ ea.i18n.htmlLocale }}" dir="{{ ea.i18n.textDirection }}">
<head>
    {% block head_metas %}
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate, nocache" />
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <meta name="generator" content="EasyAdmin" />
    {% endblock head_metas %}

    <title>{% block page_title %}{{ block('content_title')|striptags|raw }}{% endblock %}</title>

    {% block head_stylesheets %}
        <link href="assets/extra-libs/c3/c3.min.css" rel="stylesheet">
        <link href="assets/libs/chartist/dist/chartist.min.css" rel="stylesheet">
        <link href="assets/extra-libs/jvector/jquery-jvectormap-2.0.2.css" rel="stylesheet" />
        <link href="dist/css/style.min.css" rel="stylesheet">
        <link href="assets/libs/fullcalendar/dist/fullcalendar.min.css" rel="stylesheet" />
    {% endblock %}

    {% block configured_stylesheets %}
        {% for css_asset in ea.assets.cssFiles ?? [] %}
            <link rel="stylesheet" href="{{ asset(css_asset) }}">
        {% endfor %}

        {% for webpack_encore_entry in ea.assets.webpackEncoreEntries ?? [] %}
            {{ ea_call_function_if_exists('encore_entry_link_tags', webpack_encore_entry) }}
        {% endfor %}
    {% endblock %}

    {% block head_favicon %}
        #}
{#<link rel="shortcut icon" href="{{ asset(ea.dashboardFaviconPath) }}">#}{#

        <link rel="icon" type="image/png" sizes="16x16" href="assets/images/big/symdrik.png">
    {% endblock %}

    {% block head_javascript %}
        <script src="{{ asset('bundles/easyadmin/app.js') }}"></script>

    {% endblock head_javascript %}

    {% if 'rtl' == ea.i18n.textDirection %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.rtl.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app-custom-rtl.css') }}">
    {% endif %}

    {% block configured_head_contents %}
        {% for htmlContent in ea.assets.headContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
</head>

{% block body %}
    <body id="{% block body_id %}{% endblock %}" class="ea {% block body_class %}{% endblock %}">
    {% block javascript_page_layout %}
        <script>
            document.body.classList.add(
                'ea-content-width-' + (localStorage.getItem('ea/content/width') || '{{ ea.crud.contentWidth ?? ea.dashboardContentWidth ?? 'normal' }}'),
                'ea-sidebar-width-' + (localStorage.getItem('ea/sidebar/width') || '{{ ea.crud.sidebarWidth ?? ea.dashboardSidebarWidth ?? 'normal' }}')
            );
        </script>
    {% endblock javascript_page_layout %}

    {% block wrapper_wrapper %}
        {% block flash_messages %}
            {{ include(ea.templatePath('flash_messages')) }}
        {% endblock flash_messages %}

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
             data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
            {% block wrapper %}
                <header class="topbar" data-navbarbg="skin6">
                    {% block header %}
                        <nav class="navbar top-navbar navbar-expand-md">
                            <div class="navbar-header" data-logobg="skin6">
                            {% block header_navbar %}
                               #}
{# <button id="navigation-toggler" type="button" aria-label="Toggle navigation">
                                    <i class="fa fa-fw fa-bars"></i>
                                </button>#}{#


                                <div class="navbar-brand">
                                    {% block header_logo %}
                                        <a href="#">
                                            <b class="logo-icon">
                                                <!-- Dark Logo icon -->
                                                <img src="assets/images/big/symdrik.png" alt="homepage"  width="50" height="50" />
                                                <!-- Light Logo icon -->
                                                #}
{#<img src="assets/images/logo-icon.png" alt="homepage" class="light-logo" />#}{#

                                            </b>
                                        </a>
                                    {% endblock header_logo %}
                                </div>
                            {% endblock header_navbar %}
                            </div>

                    <div class="navbar-collapse collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav float-left mr-auto ml-3 pl-1">
                            <!-- Notification -->
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle pl-md-3 position-relative" href="javascript:void(0)"
                                   id="bell" role="button" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <span><i data-feather="bell" class="svg-icon"></i></span>
                                    <span class="badge badge-primary notify-no rounded-circle">5</span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-left mailbox animated bounceInDown">
                                    <ul class="list-style-none">
                                        <li>
                                            <div class="message-center notifications position-relative">
                                                <!-- Message -->
                                                <a href="javascript:void(0)"
                                                   class="message-item d-flex align-items-center border-bottom px-3 py-2">
                                                <span class="btn btn-primary rounded-circle btn-circle"><i
                                                            data-feather="box" class="text-white"></i></span>
                                                    <div class="w-75 d-inline-block v-middle pl-2">
                                                        <h6 class="message-title mb-0 mt-1">Pavan kumar</h6> <span
                                                                class="font-12 text-nowrap d-block text-muted">Just
                                                        see the my admin!</span>
                                                        <span class="font-12 text-nowrap d-block text-muted">9:02 AM</span>
                                                    </div>
                                                </a>
                                            </div>
                                        </li>
                                        <li>
                                            <a class="nav-link pt-3 text-center text-dark" href="javascript:void(0);">
                                                <strong>Check all notifications</strong>
                                                <i class="fa fa-angle-right"></i>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                            <!-- End Notification -->
                            <!-- ============================================================== -->
                            <!-- create new -->
                            <!-- ============================================================== -->

                        </ul>
                        <ul class="navbar-nav float-right">
                        {% set _user_menu_content %}
                            <div class="popover-content-section user-details {{ ea.userMenu.items|length > 0 ? 'user-has-actions' }}">
                                <p class="small text-muted mb-0">{{ 'user.logged_in_as'|trans(domain = 'EasyAdminBundle') }}</p>
                                <p class="user-details-name">
                                    {{ ea.user is null ? 'user.anonymous'|trans(domain = 'EasyAdminBundle') : ea.userMenu.name }}
                                </p>
                            </div>

                            {% block user_menu %}
                                {% if ea.userMenu.items|length > 0 %}
                                    <div class="popover-content-section user-menu">
                                        {% for item in ea.userMenu.items %}
                                            {% if item.isMenuSection %}
                                                <hr class="m-0" />
                                            {% else %}
                                                <a href="{{ item.linkUrl }}" class="user-action {{ item.cssClass }}" target="{{ item.linkTarget }}" rel="{{ item.linkRel }}" referrerpolicy="origin-when-cross-origin">
                                                    {% if item.icon is not empty %}<i class="fa fa-fw {{ item.icon }}"></i>{% endif %}
                                                    <span>{{ item.label }}</span>
                                                </a>
                                            {% endif %}
                                        {% endfor %}
                                    </div>
                                {% endif %}
                            {% endblock user_menu %}
                        {% endset %}
                        </ul>
                        <ul class="content-top navbar-custom-menu">
                            {% block header_custom_menu %}
                                {% if constant('Symfony\\Component\\Security\\Core\\Authorization\\Voter\\AuthenticatedVoter::IS_IMPERSONATOR') is defined %}
                                    {% set impersonator_permission = 'IS_IMPERSONATOR' %}
                                {% else %}
                                    {% set impersonator_permission = 'ROLE_PREVIOUS_ADMIN' %}
                                {% endif %}

                                <div class="user user-menu-wrapper {{ is_granted(impersonator_permission) ? 'user-is-impersonated' }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                                    {% if ea.userMenu.isAvatarDisplayed %}
                                        {% if null == ea.userMenu.avatarUrl %}
                                            <i class="fa fa-fw {{ ea.user is not null ? 'fa-user-circle' : 'fa-user-times' }} user-avatar"></i>
                                        {% else %}
                                            <img class="user-avatar" src="{{ ea.userMenu.avatarUrl }}" />
                                        {% endif %}
                                    {% endif %}
                                    {% if ea.userMenu.isNameDisplayed %}
                                        <span class="user-name">{{ ea.userMenu.name }}</span>
                                    {% endif %}
                                </div>
                            {% endblock header_custom_menu %}
                        </ul>
                        </div>
                    {% endblock header %}
                        </nav>
                </header>

                <aside class="left-sidebar" data-sidebarbg="skin6">
                    <div class="scroll-sidebar" data-sidebarbg="skin6">
                    {% block sidebar %}
                        <nav class="sidebar-nav">
                            <ul id="sidebarnav">
                                <li class="sidebar-item"> <a class="sidebar-link has-arrow" href="javascript:void(0)"
                                                             aria-expanded="false"><i data-feather="grid" class="logo-icon"></i><span
                                                class="hide-menu">Users</span></a>
                                    <ul aria-expanded="false" class="collapse  first-level base-level-line">
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Users List
                                        </span></a>
                                        </li>
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Add New User
                                        </span></a>
                                        </li>

                                    </ul>
                                </li>
                                <li class="list-divider"></li>
                                #}
{# Poles#}{#

                                <li class="sidebar-item"> <a class="sidebar-link has-arrow" href="javascript:void(0)"
                                                             aria-expanded="false"><i data-feather="grid" class="logo-icon"></i><span
                                                class="hide-menu">Department</span></a>
                                    <ul aria-expanded="false" class="collapse  first-level base-level-line">
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Department List
                                        </span></a>
                                        </li>
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Add New Department
                                        </span></a>
                                        </li>

                                    </ul>
                                </li>
                                <li class="list-divider"></li>

#}
{#Calendar#}{#

                                <li class="sidebar-item"> <a class="sidebar-link" href="#"
                                                             aria-expanded="false"><i data-feather="calendar" class="feather-icon"></i><span
                                                class="hide-menu">Calendar</span></a></li>
                                <li class="list-divider"></li>
                                #}
{#Holidays Type#}{#


                                <li class="sidebar-item"> <a class="sidebar-link has-arrow" href="javascript:void(0)"
                                                             aria-expanded="false"><i data-feather="grid" class="logo-icon"></i><span
                                                class="hide-menu">Holidays Type</span></a>
                                    <ul aria-expanded="false" class="collapse  first-level base-level-line">
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Types List
                                        </span></a>
                                        </li>
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Add New Type
                                        </span></a>
                                        </li>

                                    </ul>
                                </li>
                                <li class="list-divider"></li>
                                <li class="sidebar-item"> <a class="sidebar-link has-arrow" href="javascript:void(0)"
                                                             aria-expanded="false"><i data-feather="grid" class="logo-icon"></i><span
                                                class="hide-menu">Holidays Requests</span></a>
                                    <ul aria-expanded="false" class="collapse  first-level base-level-line">
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Holidays Requests
                                        </span></a>
                                        </li>
                                        <li class="sidebar-item"><a href="#" class="sidebar-link"><span
                                                        class="hide-menu"> Ask for a holiday
                                        </span></a>
                                        </li>

                                    </ul>
                                </li>



                            {% block main_menu_wrapper %}
                                {{ include(ea.templatePath('main_menu')) }}
                            {% endblock main_menu_wrapper %}
                            </ul>
                        </nav>

                    {% endblock sidebar %}
                    </div>
                </aside>

                <div class="content-wrapper">
                    <div class="scroll-sidebar" data-sidebarbg="skin6">
                   #}
{# <div id="sidebar-resizer-handler" class="resizer-handler resizer-handler-left"></div>#}{#


                    {% block content %}
                        <div class="content">
                            {% block content_header_wrapper %}
                                {% set has_help_message = (ea.crud.helpMessage ?? '') is not empty %}
                                <section class="content-header">
                                    {% block content_header %}
                                        <div class="d-flex flex-row justify-content-between align-content-center w-100">
                                            <div class="content-header-title">
                                                <h1 class="title">
                                                    {% block content_title %}{% endblock %}

                                                    {% block content_help %}
                                                        {% if has_help_message %}
                                                            <span class="content-header-help">
                                                                <i class="far fa-question-circle" data-toggle="tooltip" title="{{ ea.crud.helpMessage|e('html_attr') }}"></i>
                                                            </span>
                                                        {% endif %}
                                                    {% endblock %}
                                                </h1>
                                            </div>

                                            {% block page_actions_wrapper %}
                                                <div class="page-actions">{% block page_actions %}{% endblock %}</div>
                                            {% endblock %}
                                        </div>
                                    {% endblock content_header %}
                                </section>
                            {% endblock content_header_wrapper %}

                            <section id="main" class="content-body">
                                {% block main %}
                                {% endblock %}
                            </section>

                            {% block content_footer_wrapper %}
                                {% set content_footer = block('content_footer') is defined ? block('content_footer') : '' %}
                                {% if content_footer is not empty %}
                                    <section class="content-footer">
                                        {{ content_footer }}
                                    </section>
                                {% endif %}
                            {% endblock %}
                        </div>
                    {% endblock content %}
                    <div id="content-resizer-handler" class="resizer-handler resizer-handler-right"></div>
                </div>
            {% endblock wrapper %}
        </div>
    {% endblock wrapper_wrapper %}

    {% block body_javascript %}
        <script src="assets/libs/jquery/dist/jquery.min.js"></script>
        <script src="assets/libs/popper.js/dist/umd/popper.min.js"></script>
        <script src="assets/libs/bootstrap/dist/js/bootstrap.min.js"></script>
        <!-- apps -->
        <!-- apps -->
        <script src="dist/js/app-style-switcher.js"></script>
        <script src="dist/js/feather.min.js"></script>
        <script src="assets/libs/perfect-scrollbar/dist/perfect-scrollbar.jquery.min.js"></script>
        <script src="dist/js/sidebarmenu.js"></script>
        <!--Custom JavaScript -->
        <script src="dist/js/custom.min.js"></script>
        <!--This page JavaScript -->
        <script src="assets/extra-libs/c3/d3.min.js"></script>
        <script src="assets/extra-libs/c3/c3.min.js"></script>
        <script src="assets/libs/chartist/dist/chartist.min.js"></script>
        <script src="assets/libs/chartist-plugin-tooltips/dist/chartist-plugin-tooltip.min.js"></script>
        <script src="assets/extra-libs/jvector/jquery-jvectormap-2.0.2.min.js"></script>
        <script src="assets/extra-libs/jvector/jquery-jvectormap-world-mill-en.js"></script>
        <script src="dist/js/pages/dashboards/dashboard1.min.js"></script>
        <script src="assets/libs/jquery/dist/jquery.min.js"></script>
        <script src="assets/extra-libs/taskboard/js/jquery.ui.touch-punch-improved.js"></script>
        <script src="assets/extra-libs/taskboard/js/jquery-ui.min.js"></script>
        <script src="assets/libs/popper.js/dist/umd/popper.min.js"></script>
        <script src="assets/libs/bootstrap/dist/js/bootstrap.min.js"></script>
        <!-- apps -->
        <script src="dist/js/app-style-switcher.js"></script>
        <script src="dist/js/feather.min.js"></script>
        <script src="assets/libs/perfect-scrollbar/dist/perfect-scrollbar.jquery.min.js"></script>
        <script src="dist/js/sidebarmenu.js"></script>
        <!--Custom JavaScript -->
        <script src="dist/js/custom.min.js"></script>
        <!--This page JavaScript -->
        <script src="assets/libs/moment/min/moment.min.js"></script>
        <script src="assets/libs/fullcalendar/dist/fullcalendar.min.js"></script>
        <script src="dist/js/pages/calendar/cal-init.js"></script>

    {% endblock body_javascript %}

    {% block configured_javascripts %}
        {% for js_asset in ea.assets.jsFiles ?? [] %}
            <script src="{{ asset(js_asset) }}"></script>
        {% endfor %}

        {% for webpack_encore_entry in ea.assets.webpackEncoreEntries ?? [] %}
            {{ ea_call_function_if_exists('encore_entry_script_tags', webpack_encore_entry) }}
        {% endfor %}
    {% endblock %}

    {% block configured_body_contents %}
        {% for htmlContent in ea.assets.bodyContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
        </div>
    </body>
{% endblock body %}
</html>
#}

{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{% trans_default_domain ea.i18n.translationDomain %}

<!DOCTYPE html>
<html lang="{{ ea.i18n.htmlLocale }}" dir="{{ ea.i18n.textDirection }}">
<head>
    {% block head_metas %}
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate, nocache" />
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <meta name="generator" content="EasyAdmin" />
    {% endblock head_metas %}

    <title>{% block page_title %}{{ block('content_title')|striptags|raw }}{% endblock %}</title>

    {% block head_stylesheets %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.css') }}">
    {% endblock %}

    {% block configured_stylesheets %}
        {% for css_asset in ea.assets.cssFiles ?? [] %}
            <link rel="stylesheet" href="{{ asset(css_asset) }}">
        {% endfor %}

        {% for webpack_encore_entry in ea.assets.webpackEncoreEntries ?? [] %}
            {{ ea_call_function_if_exists('encore_entry_link_tags', webpack_encore_entry) }}
        {% endfor %}
    {% endblock %}

    {% block head_favicon %}
        <link rel="shortcut icon" href="{{ asset(ea.dashboardFaviconPath) }}">
    {% endblock %}

    {% block head_javascript %}
        <script src="{{ asset('bundles/easyadmin/app.js') }}"></script>
    {% endblock head_javascript %}

    {% if 'rtl' == ea.i18n.textDirection %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.rtl.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app-custom-rtl.css') }}">
    {% endif %}

    {% block configured_head_contents %}
        {% for htmlContent in ea.assets.headContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
</head>

{% block body %}
    <body id="{% block body_id %}{% endblock %}" class="ea {% block body_class %}{% endblock %}">
    {% block javascript_page_layout %}
        <script>
            document.body.classList.add(
                'ea-content-width-' + (localStorage.getItem('ea/content/width') || '{{ ea.crud.contentWidth ?? ea.dashboardContentWidth ?? 'normal' }}'),
                'ea-sidebar-width-' + (localStorage.getItem('ea/sidebar/width') || '{{ ea.crud.sidebarWidth ?? ea.dashboardSidebarWidth ?? 'normal' }}')
            );
        </script>
    {% endblock javascript_page_layout %}

    {% block wrapper_wrapper %}
        {% block flash_messages %}
            {{ include(ea.templatePath('flash_messages')) }}
        {% endblock flash_messages %}

        <div class="wrapper">
            {% block wrapper %}
                <header class="main-header">
                    {% block header %}
                        <nav class="navbar" role="navigation">
                            {% block header_navbar %}
                                <button id="navigation-toggler" type="button" aria-label="Toggle navigation">
                                    <i class="fa fa-fw fa-bars"></i>
                                </button>

                                <div id="header-logo">
                                    {% block header_logo %}
                                        <a class="logo {{ ea.dashboardTitle|length > 14 ? 'logo-long' }}" title="{{ ea.dashboardTitle|striptags }}" href="{{ path(ea.dashboardRouteName) }}">
                                            {{ ea.dashboardTitle|raw }}
                                        </a>
                                    {% endblock header_logo %}
                                </div>
                            {% endblock header_navbar %}
                        </nav>

                        {% set _user_menu_content %}
                            <div class="popover-content-section user-details {{ ea.userMenu.items|length > 0 ? 'user-has-actions' }}">
                                <p class="small text-muted mb-0">{{ 'user.logged_in_as'|trans(domain = 'EasyAdminBundle') }}</p>
                                <p class="user-details-name">
                                    {{ ea.user is null ? 'user.anonymous'|trans(domain = 'EasyAdminBundle') : ea.userMenu.name }}
                                </p>
                            </div>

                            {% block user_menu %}
                                {% if ea.userMenu.items|length > 0 %}
                                    <div class="popover-content-section user-menu">
                                        {% for item in ea.userMenu.items %}
                                            {% if item.isMenuSection %}
                                                <hr class="m-0" />
                                            {% else %}
                                                <a href="{{ item.linkUrl }}" class="user-action {{ item.cssClass }}" target="{{ item.linkTarget }}" rel="{{ item.linkRel }}" referrerpolicy="origin-when-cross-origin">
                                                    {% if item.icon is not empty %}<i class="fa fa-fw {{ item.icon }}"></i>{% endif %}
                                                    <span>{{ item.label }}</span>
                                                </a>
                                            {% endif %}
                                        {% endfor %}
                                    </div>
                                {% endif %}
                            {% endblock user_menu %}
                        {% endset %}

                        <div class="content-top navbar-custom-menu">
                            {% block header_custom_menu %}
                                {% if constant('Symfony\\Component\\Security\\Core\\Authorization\\Voter\\AuthenticatedVoter::IS_IMPERSONATOR') is defined %}
                                    {% set impersonator_permission = 'IS_IMPERSONATOR' %}
                                {% else %}
                                    {% set impersonator_permission = 'ROLE_PREVIOUS_ADMIN' %}
                                {% endif %}

                                <div class="user user-menu-wrapper {{ is_granted(impersonator_permission) ? 'user-is-impersonated' }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                                    {% if ea.userMenu.isAvatarDisplayed %}
                                        {% if null == ea.userMenu.avatarUrl %}
                                            <i class="fa fa-fw {{ ea.user is not null ? 'fa-user-circle' : 'fa-user-times' }} user-avatar"></i>
                                        {% else %}
                                            <img class="user-avatar" src="{{ ea.userMenu.avatarUrl }}" />
                                        {% endif %}
                                    {% endif %}
                                    {% if ea.userMenu.isNameDisplayed %}
                                        <span class="user-name">{{ ea.userMenu.name }}</span>
                                    {% endif %}
                                </div>
                            {% endblock header_custom_menu %}
                        </div>
                    {% endblock header %}
                </header>

                <aside class="main-sidebar">
                    {% block sidebar %}
                        <section class="sidebar">
                            {% block main_menu_wrapper %}
                                {{ include(ea.templatePath('main_menu')) }}
                            {% endblock main_menu_wrapper %}
                        </section>

                    {% endblock sidebar %}
                </aside>

                <div class="content-wrapper">
                    <div id="sidebar-resizer-handler" class="resizer-handler resizer-handler-left"></div>

                    {% block content %}
                        <div class="content">
                            {% block content_header_wrapper %}
                                {% set has_help_message = (ea.crud.helpMessage ?? '') is not empty %}
                                <section class="content-header">
                                    {% block content_header %}
                                        <div class="d-flex flex-row justify-content-between align-content-center w-100">
                                            <div class="content-header-title">
                                                <h1 class="title">
                                                    {% block content_title %}{% endblock %}

                                                    {% block content_help %}
                                                        {% if has_help_message %}
                                                            <span class="content-header-help">
                                                                <i class="far fa-question-circle" data-toggle="tooltip" title="{{ ea.crud.helpMessage|e('html_attr') }}"></i>
                                                            </span>
                                                        {% endif %}
                                                    {% endblock %}
                                                </h1>
                                            </div>

                                            {% block page_actions_wrapper %}
                                                <div class="page-actions">{% block page_actions %}{% endblock %}</div>
                                            {% endblock %}
                                        </div>
                                    {% endblock content_header %}
                                </section>
                            {% endblock content_header_wrapper %}

                            <section id="main" class="content-body">
                                {% block main %}{% endblock %}
                            </section>

                            {% block content_footer_wrapper %}
                                {% set content_footer = block('content_footer') is defined ? block('content_footer') : '' %}
                                {% if content_footer is not empty %}
                                    <section class="content-footer">
                                        {{ content_footer }}
                                    </section>
                                {% endif %}
                            {% endblock %}
                        </div>
                    {% endblock content %}

                    <div id="content-resizer-handler" class="resizer-handler resizer-handler-right"></div>
                </div>
            {% endblock wrapper %}
        </div>
    {% endblock wrapper_wrapper %}

    {% block body_javascript %}{% endblock body_javascript %}

    {% block configured_javascripts %}
        {% for js_asset in ea.assets.jsFiles ?? [] %}
            <script src="{{ asset(js_asset) }}"></script>
        {% endfor %}

        {% for webpack_encore_entry in ea.assets.webpackEncoreEntries ?? [] %}
            {{ ea_call_function_if_exists('encore_entry_script_tags', webpack_encore_entry) }}
        {% endfor %}
    {% endblock %}

    {% block configured_body_contents %}
        {% for htmlContent in ea.assets.bodyContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
    </body>
{% endblock body %}
</html>

